SVNKit Home

## org.tmatesoft.svn.core.javahl
Interface PromptUserPassword4

All Superinterfaces:
  org.tigris.subversion.javahl.PromptUserPassword, org.tigris.subversion.javahl.PromptUserPassword2, org.tigris.subversion.javahl.PromptUserPassword3, PromptUserPasswordSSH

public interface PromptUserPassword4
extends PromptUserPasswordSSH

Version:
  1.3
Author:
  TMate Software Ltd.

Field Summary

Fields inherited from interface org.tigris.subversion.javahl.PromptUserPassword2
`AccecptTemporary, AcceptPermanently, AcceptTemporary, Reject`

Methods inherited from interface org.tmatesoft.svn.core.javahl.PromptUserPasswordSSH
`getSSHPort, getSSHPrivateKeyPassphrase, getSSHPrivateKeyPath, promptSSH`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword3
`askQuestion, prompt, userAllowedSave`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword2
`askTrustSSLServer`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword
`askQuestion, askYesNo, getPassword, getUsername, prompt`

SVNKit Home

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.